program Projekt_09;
{$APPTYPE CONSOLE}
uses
  SysUtils,
  Variants;

var
  V: Variant;
begin
  TVarData(V).VType := varString;
  V := 'Bartek';
  Writeln(V);
  if (TVarData(V).VType <> varEmpty) then
     VarClear(V);// zwalnia wartość zmiennej V
                 // i ustawia jej typ na varEmpty.
  TVarData(V).VType := varDouble;
  TVarData(V).VDouble := 75.01;
  Writeln(V*3);
  VarClear(V);
  V := Unassigned;
  ReadLN;
end.


